Skip to main content
GET
Sample of trained features

Authorizations

x-api-key
string
header
required

Path Parameters

projectId
integer
required

Project ID

dspId
integer
required

DSP Block ID, use the impulse functions to retrieve the ID

category
enum<string>
required

Which of the three acquisition categories to download data from

Available options:
training,
testing,
validation,
post-processing

Query Parameters

featureAx1
integer
required

Feature axis 1

featureAx2
integer
required

Feature axis 2

featureAx3
integer
required

Feature axis 3

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

totalSampleCount
integer
required

Total number of windows in the data set

data
object[]
required
skipFirstFeatures
integer
required

When showing the processed features, skip the first X features. This is used in dimensionality reduction where artificial features are introduced in the response (on the first few positions).

error
string

Optional error description (set if 'success' was false)